import AbstractPart from "./AbstractPart";
import IPart from "./IPart";
import OptionsType from '../OptionsType';
/**
 * TemplatedPart
 */
declare class TemplatedPart extends AbstractPart {
    readonly priority: number;
    private readonly _ast;
    /**
     * constructor
     * @param name
     * @param type
     * @param xml
     * @param parent
     * @param options
     */
    constructor(name: string, type: string, xml: string, parent: Map<string, IPart>, options: OptionsType);
    /**
     * _preProcess
     * Note: executed by parent AbstractPart
     * @param xml
     */
    protected _preProcess(xml: string): string;
    /**
     * render
     * @param data
     */
    render(data: Record<string, unknown>): Promise<void>;
}
/**
 * Default export
 */
export default TemplatedPart;
