import ITag from './ITag';
import MatchedNode from "./MatchedNode";
import ITagParser from "./ITagParser";
import OptionsType from "../OptionsType";
/**
 * TagParser
 */
type TagParser = {
    new (dom: Node, options: OptionsType): ITagParser;
};
/**
 * AbstractTag
 */
declare abstract class AbstractTag implements ITag {
    static TagParser: TagParser;
    readonly matchedNodes: Map<string, MatchedNode>;
    protected _done: boolean;
    readonly children: Array<AbstractTag>;
    readonly parent: Array<AbstractTag>;
    readonly _options: OptionsType;
    /**
     * constructor
     * @param matchedNode
     * @param parent
     * @param options
     * @protected
     */
    protected constructor(matchedNode: MatchedNode, parent: Array<AbstractTag>, options: OptionsType);
    /**
     * addNode
     * @param matchedNode
     */
    addMatchedNode(matchedNode: MatchedNode): void;
    /**
     * render
     * @param data
     */
    abstract render(data: Record<string, unknown>): Promise<void>;
    /**
     * done
     */
    get done(): boolean;
}
/**
 * Default export
 */
export default AbstractTag;
