import OptionsType from "../OptionsType";
/**
 * MatchNode
 */
declare class MatchedNode {
    readonly node: Text;
    private readonly _match;
    private readonly _options;
    /**
     * constructor
     * @param node
     * @param match
     * @param options
     */
    constructor(node: Text, match: Array<string>, options: OptionsType);
    /**
     * statement
     */
    get statement(): string;
    /**
     * expression
     */
    get expression(): string;
    /**
     * nodeValue
     */
    get nodeValue(): string | null;
    /**
     * replaceMatch
     * Note: This mainly replaces expressions and tags
     * @param data
     */
    replaceMatch(data: string): void;
    /**
     * replaceMatchAndBefore
     * Note: This is mainly used for the #if tag
     * @param data
     */
    replaceMatchAndBefore(data: string): void;
    /**
     * replaceMatchAndAfter
     * Note: This is mainly used for the #if tag
     * @param data
     */
    replaceMatchAndAfter(data: string): void;
}
/**
 * Default export
 */
export default MatchedNode;
