import AbstractTag from "./AbstractTag";
import ITagParser from "./ITagParser";
import OptionsType from "../OptionsType";
/**
 * TagParser
 */
declare class TagParser implements ITagParser {
    private readonly _dom;
    private _options;
    private _lexer;
    private _ast;
    private _current;
    private _stack;
    /**
     * constructor
     * @param dom
     * @param options
     */
    constructor(dom: Node, options: OptionsType);
    /**
     * lexer
     * @private
     */
    get lexer(): RegExp | undefined;
    /**
     * _findTagInBlocks
     * @param statement
     * @private
     */
    private _findTagInBlocks;
    /**
     * _parse
     * @param node
     * @private
     */
    private _parse;
    /**
     * parse
     */
    parse(): AbstractTag[];
}
/**
 * Default export
 */
export default TagParser;
